tool_poly_select {rbokeh} | R Documentation

## Add "poly_select" tool to a Bokeh figure

### Description

Add "poly_select" tool to a Bokeh figure

### Usage

    tool_poly_select(fig, line_color = NULL, line_alpha = NULL,
      fill_color = NULL, fill_alpha = NULL, line_width = NULL,
      line_dash = NULL, line_dash_offset = NULL, line_join = NULL,
      line_cap = NULL, names = NULL, remove = FALSE)

### Arguments

`fig` | Figure to modify.
`line_color` | The line color values for the polygon.
`line_alpha` | The line alpha values for the polygon.
`fill_color` | The fill color values for the polygon.
`fill_alpha` | The fill alpha values for the polygon.
`line_width` | The line width values for the polygon.
`line_dash` | The line dash values for the polygon.
`line_dash_offset` | The line dash offset values for the polygon.
`line_join` | The line join values for the polygon.
`line_cap` | The line cap values for the polygon.
`names` | A list of names to query for. If set, only renderers that have a matching value for their "name" attribute will be used.
`remove` | Logical indicating whether the tool should be removed.

### See Also

Other tools: `tool_box_select`, `tool_box_zoom`, `tool_crosshair`, `tool_help`, `tool_lasso_select`, `tool_pan`, `tool_redo`, `tool_reset`, `tool_save`, `tool_undo`, `tool_wheel_pan`, `tool_wheel_zoom`, `tool_zoom_in`, `tool_zoom_out`

### Examples

    figure(tools = NULL) %>%
      ly_points(1:10) %>%
      tool_poly_select(line_color = "red")

[Package rbokeh version 0.6.3 Index]